package com.njcn.pojo.configuration;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @autor denghuajun
 * @Date 2018/8/3 9:28
 */
public class HistoryResult implements Serializable {
    private String msg;//画图个数

    public HistoryResult() {
    }

    public String getMsg1() {
        return msg1;
    }

    public void setMsg1(String msg1) {
        this.msg1 = msg1;
    }

    private String msg1;//监测点个数

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<List> getData1() {
        return data1;
    }

    public void setData1(List<List> data1) {
        this.data1 = data1;
    }

    public List<List> getData2() {
        return data2;
    }

    public void setData2(List<List> data2) {
        this.data2 = data2;
    }

    public List<List> getData3() {
        return data3;
    }

    public void setData3(List<List> data3) {
        this.data3 = data3;
    }

    private List<List> data1 = new ArrayList<>();

    private List<List> data2 = new ArrayList<>();

    private List<List> data3 = new ArrayList<>();

    private List<List> data4 = new ArrayList<>();

    @Override
    public String toString() {
        return "HistoryResult{" +
                "msg='" + msg + '\'' +
                ", msg1='" + msg1 + '\'' +
                ", data1=" + data1 +
                ", data2=" + data2 +
                ", data3=" + data3 +
                ", data4=" + data4 +
                '}';
    }

    public List<List> getData4() {
        return data4;
    }

    public void setData4(List<List> data4) {
        this.data4 = data4;
    }

}
